Skip to main content
DELETE
/
v1
/
connections
/
{connection_id}
Delete connection
curl --request DELETE \
  --url https://api.markifact.com/v1/connections/{connection_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.markifact.com/v1/connections/{connection_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.markifact.com/v1/connections/{connection_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "type": "<string>",
  "is_private": true,
  "display_name": "<string>",
  "external_id": "<string>",
  "created_at": 123,
  "updated_at": 123
}
{
"detail": "<unknown>"
}
Deletes one connection by Markifact connection ID. The connection must be shared in your team, or private to the user who created the API key.

Endpoint

DELETE /v1/connections/{connection_id}

Path Parameters

ParameterTypeDescription
connection_idstringPublic Markifact connection ID.

Example Request

curl -X DELETE https://api.markifact.com/v1/connections/1f2e3d4c-0000-0000-0000-000000000000 \
  -H "Authorization: Bearer YOUR_API_KEY"

Response

Returns the deleted connection.
{
  "id": "1f2e3d4c-0000-0000-0000-000000000000",
  "type": "ga4",
  "display_name": "login@example.com",
  "external_id": "customer_123",
  "is_private": false,
  "created_at": 1764000000000,
  "updated_at": 1764000000000
}

Effects

Deleting a connection also deactivates active workflows in your team that use that connection.

Notes

  • Delete only supports Markifact connection IDs.
  • You cannot delete by external_id.
  • Private connections can only be deleted when they belong to the user who created the API key.
  • If the connection does not exist or does not belong to your team, the API returns 404.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

connection_id
string
required

Public Markifact connection ID.

Response

Deleted connection returned.

id
string | null
required

Public Markifact connection ID.

type
string
required

Connection type.

is_private
boolean
required
display_name
string | null
external_id
string | null
created_at
integer<int64> | null
updated_at
integer<int64> | null